Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.hibernate.projection
Class ProjectionBean

    java.lang.Object
      org.hibernate.criterion.ProjectionList
          com.gisgraphy.hibernate.projection.ProjectionBean

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.criterion.Projection

    public class ProjectionBean

extends org.hibernate.criterion.ProjectionList

Author:
  David Masclet
See Also:
  Serialized Form

Constructor Summary
`ProjectionBean(java.util.List<java.lang.String> fields)`

Method Summary
`static org.hibernate.criterion.ProjectionList` | `beanFieldList(java.lang.Class<?> clazz, java.lang.String[] ignoreFields)`
`static org.hibernate.criterion.ProjectionList` | `fieldList(java.util.List<java.lang.String> fieldList)`

Methods inherited from class org.hibernate.criterion.ProjectionList
`add, add, create, getAliases, getColumnAliases, getColumnAliases, getLength, getProjection, getTypes, getTypes, isGrouped, toGroupSqlString, toSqlString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectionBean

    public ProjectionBean(java.util.List<java.lang.String> fields)

Method Detail

### fieldList

    public static org.hibernate.criterion.ProjectionList fieldList(java.util.List<java.lang.String> fieldList)

  Parameters:
    `fieldList` - a list of fields to retrieve
  Returns:
    a new ProjectionList

### beanFieldList

    public static org.hibernate.criterion.ProjectionList beanFieldList(java.lang.Class<?> clazz,
                                                                       java.lang.String[] ignoreFields)

  Parameters:
    `clazz` - the class to inspect to retrieve the fields
    `ignoreFields` - an array of fields that should be ignore
  Returns:
    a new ProjectionList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.